<template>
  <div>
    <h1 class="mb-8">Was finasteride (Propecia) effective?</h1>
    <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";
import {constants} from "@/constants";

export default {
  mixins: [radioMixin, answersMixin],
  name: "YourHealth19",
  data() {
    return {
      choices: [
        'Yes',
        'No'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_19')
        this.nextStage()
      }
    }
  },
  methods: {
    nextStage() {
      const answer = this.answer(this.answersKeys.YOUR_HEALTH)?.stage_17 ?? []

      if (answer.includes(constants.OTHER_TREATMENTS)) {
        this.$emit('nextStage')
      } else {
        this.$emit('goTo', 21)
      }
    }
  }
}
</script>

<style scoped>

</style>
